Subject: Re: bug#75861: 31.0.50; calc units error

From: Michael Heerdegen <[email-masked]>
Date: Fri, 31 Jan 2025 02:34:35 +0100

çağlar girit via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> So perhaps there is a bug somewhere in the Mathematica language
> implementation, starting at calc-lang.el line 1816, but difficult for
> me to find.

AFAIU, this is a more general design problem.  Switching the language
makes all input (in a broader sense) being interpreted as expression in
that language.  Like, interpreting the built-in unit definitions.

If you reverse your recipe so that Calc builds the unit table before you
switch to Mathematica language mode, the issue doesn't appear.

Michael.